
/* as166hdr.h for cbg solos c166 assembler */

/*
 * 
 *
 * Date:
 *
 *
 * Software from Tenison Technology
 * (C) 1998 Tenison Technology 
 * Fax +44 1223 565917
 *
 * No responsibility can be accepted for loss or consequential loss.
 * Not for commercial use without license.  
 */

/* values of type in an STNODE */

#define EXTERN      5
#define RELOCATABLE 12
#define ABSOLUTE    16
#define DMTO        100
#define UNDEFINED   101
#define SFBIT       22
#define GPREG       23
#define BSFR        24
#define SFR         25
#define BYTEREG     26



#define O_TEXT 1
#define O_BSS 2

#define NEW(X) (X *)(malloc(sizeof(X)))

typedef struct locchain 
{ struct locchain *next; int val; 
} LOCCHAIN;

#define HASHSIZE 4096

typedef struct stnode 
{ 
  int type, value, equatef, blong, bshort;
  char *textual;
  struct stnode *stnext;
  struct locchain *schain;
} STNODE;


